Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.escape.amf.ide
Class EscapeModelBuilder

    java.lang.Object
      org.eclipse.core.internal.events.InternalBuilder
          org.eclipse.core.resources.IncrementalProjectBuilder
              org.eclipse.amp.amf.gen.ide.AbstractMWEBuilder
                  org.eclipse.amp.amf.gen.ide.MetaABMBuilder
                      org.eclipse.amp.escape.amf.ide.EscapeModelBuilder

All Implemented Interfaces:
  org.eclipse.core.runtime.IExecutableExtension

    public class EscapeModelBuilder

extends MetaABMBuilder

Field Summary
`static java.lang.String` | `ESCAPE_BUILDER_ID`

Fields inherited from class org.eclipse.amp.amf.gen.ide.MetaABMBuilder
`BUILDER_ID`

Fields inherited from class org.eclipse.core.resources.IncrementalProjectBuilder
`AUTO_BUILD, CLEAN_BUILD, FULL_BUILD, INCREMENTAL_BUILD`

Constructor Summary
`EscapeModelBuilder()`
`EscapeModelBuilder(java.lang.String workflow)`

Method Summary
`static MetaABMBuilder` | `getEscapeBuilderDefault()` Returns the shared instance
`void` | `loadPlugins()`

Methods inherited from class org.eclipse.amp.amf.gen.ide.MetaABMBuilder
`getBaseBuilderDefault, isCreateMarkers, loadPropertiesFromPrefs, loadPropertiesFromResource, setCreateMarkers`

Methods inherited from class org.eclipse.amp.amf.gen.ide.AbstractMWEBuilder
`addURL, generateModel, getGenProperties, getResourceLoader, handleModifiedResource, isReportErrors, setCurrentMonitor, setGenProperties, setReportErrors`

Methods inherited from class org.eclipse.core.resources.IncrementalProjectBuilder
`forgetLastBuiltState, getCommand, getDelta, getProject, getRule, getRule, hasBeenBuilt, isInterrupted, needRebuild, setInitializationData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ESCAPE_BUILDER_ID

    public static final java.lang.String ESCAPE_BUILDER_ID

See Also:
  Constant Field Values

Constructor Detail

### EscapeModelBuilder

    public EscapeModelBuilder()

### EscapeModelBuilder

    public EscapeModelBuilder(java.lang.String workflow)

Method Detail

### loadPlugins

    public void loadPlugins()

  Overrides:
    `loadPlugins` in class `MetaABMBuilder`

### getEscapeBuilderDefault

    public static MetaABMBuilder getEscapeBuilderDefault()

  Returns the shared instance

  Returns:
    the shared instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD